## glite-lbjp-common-gss 3.1.4

=== Makefile ===
# defaults
top_srcdir=..
builddir=build
top_builddir=${top_srcdir}/${builddir}
stagedir=.
globalprefix=glite
package=gss
version=1.0.0
PREFIX=/opt/glite
prefix=

glite_location=/opt/glite
globus_prefix=/opt/globus
cppunit_prefix=/opt/cppunit

CC=gcc

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
#

# counted minors: gsoap-plugin 1.5, gss 2.1
offset=6
version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

VPATH=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/examples

default: all

DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
# not for globus, gsoap: -Werror

CFLAGS:= ${CFLAGS} ${DEBUG} \
	-DVERSION=\"${version}\" \
	-I. -I${top_srcdir}/interface \
	-I${stagedir}${prefix}/include \
	${COVERAGE_FLAGS} -D_GNU_SOURCE -DDATAGRID_EXTENSION

LDFLAGS:=${LDFLAGS} ${COVERAGE_FLAGS}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
INSTALL:=libtool --mode=install install

CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include

GLOBUS_NOTHR_INC:= -I${globus_prefix}/include/${nothrflavour}
GLOBUS_THR_INC:= -I${globus_prefix}/include/${thrflavour}

GLOBUS_NOTHR_LIBS:= -L${globus_prefix}/lib \
	-lglobus_common_${nothrflavour} 
GLOBUS_THR_LIBS:= -L${globus_prefix}/lib \
	-lglobus_common_${thrflavour} 

GLOBUS_GSSAPI_NOTHR_LIBS=-lglobus_gssapi_gsi_${nothrflavour}
GLOBUS_GSSAPI_THR_LIBS=-lglobus_gssapi_gsi_${thrflavour}

KERBEROS_GSSAPI_LIBS=-lgssapi_krb5 
KERBEROS_GSSAPI_CFLAGS=-DNO_GLOBUS_GSSAPI

GLOBUS_GSSAPI_GSI_LIBS?=${GLOBUS_THR_LIBS} ${GLOBUS_GSSAPI_THR_LIBS}
GLOBUS_GSSAPI_GSI_CFLAGS?=${GLOBUS_THR_INC}

GLOBUS_COMMON_LIBS?=${GLOBUS_THR_LIBS}
GLOBUS_COMMON_CFLAGS?=${GLOBUS_THR_INC}

ifeq ($(gssapi_provider),kerberos)
GSSAPI_THR_LIBS=${GLOBUS_COMMON_LIBS} ${KERBEROS_GSSAPI_LIBS} -lssl
GSSAPI_THR_INC=${GLOBUS_COMMON_CFLAGS} ${KERBEROS_GSSAPI_CFLAGS}
GSSAPI_NOTHR_LIBS=${GLOBUS_NOTHR_LIBS} ${KERBEROS_GSSAPI_LIBS} -lssl
GSSAPI_NOTHR_INC=${GLOBUS_NOTHR_INC} ${KERBEROS_GSSAPI_CFLAGS}
else
GSSAPI_THR_LIBS=${GLOBUS_GSSAPI_GSI_LIBS}
GSSAPI_THR_INC=${GLOBUS_GSSAPI_GSI_CFLAGS}
GSSAPI_NOTHR_LIBS=${GLOBUS_NOTHR_LIBS} ${GLOBUS_GSSAPI_NOTHR_LIBS}
GSSAPI_NOTHR_INC=${GLOBUS_NOTHR_INC}
endif

LIBCARES_CFLAGS?=-I${cares_prefix}/include
LIBCARES_LIBS?=-L${cares_prefix}/${libdir} -L${cares_prefix}/lib -lcares

HDRS:=glite_gss.h

GSS_OBJS:=glite_gss.o
GSS_LOBJS:=${GSS_OBJS:.o=.lo}
GSS_THROBJS:=${GSS_OBJS:.o=.thr.o}
GSS_THRLOBJS:=${GSS_OBJS:.o=.thr.lo}

GSS_NOTHRSTATICLIB:=libglite_security_gss_${nothrflavour}.a
GSS_THRSTATICLIB:=libglite_security_gss_${thrflavour}.a
GSS_STATICLIB:=libglite_security_gss.a
GSS_NOTHRLTLIB:=libglite_security_gss_${nothrflavour}.la
GSS_THRLTLIB:=libglite_security_gss_${thrflavour}.la
GSS_LTLIB:=libglite_security_gss.la

ifeq ($(thrflavour),)
lib_LTLIBRARIES=${GSS_LTLIB}
lib_LIBRARIES=${GSS_STATICLIB}
default_gss=${GSS_LTLIB}
else
lib_LTLIBRARIES=${GSS_NOTHRLTLIB} ${GSS_THRLTLIB}
lib_LIBRARIES=${GSS_NOTHRSTATICLIB} ${GSS_THRSTATICLIB}
default_gss=${GSS_NOTHRLTLIB}
endif


ifeq ($(thrflavour),)
${GSS_STATICLIB}: ${GSS_THROBJS}
	ar crv $@ ${GSS_THROBJS}
	ranlib $@

${GSS_LTLIB}: ${GSS_THROBJS}
	${LINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
else
${GSS_NOTHRSTATICLIB}: ${GSS_OBJS}
	ar crv $@ ${GSS_OBJS}
	ranlib $@

${GSS_THRSTATICLIB}: ${GSS_THROBJS}
	ar crv $@ ${GSS_THROBJS}
	ranlib $@

${GSS_NOTHRLTLIB}: ${GSS_OBJS}
	${LINK} ${version_info} -o $@ ${GSS_LOBJS} ${GSSAPI_NOTHR_LIBS} ${LIBCARES_LIBS}

${GSS_THRLTLIB}: ${GSS_THROBJS}
	${LINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
endif


all compile: $(lib_LTLIBRARIES) ${lib_LIBRARIES} examples

check: compile check.gss

check.gss: test_gss
	# ./test_gss out.xml
	echo test_gss not run automatically util we have got some credentials in X509_USER_PROXY

test_gss: test_gss.o
	${LINKXX} -o $@ test_gss.o ${default_gss} ${CPPUNIT_LIBS} ${GLOBUS_GSSAPI_GSI_LIBS} ${LIBCARES_LIBS}

test_coverage:
	-mkdir coverage
	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
	cd coverage && for i in ${OBJS}; do gcov -o .libs/ $$i ; done

gss_server: gss_server.o example_common.o
	${LINK} -o $@ ${default_gss} $^ 

gss_client: gss_client.o example_common.o
	${LINK} -o $@ ${default_gss} $^

examples:

doc:

stage:
	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

install:
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security
	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
	if [ x${DOSTAGE} = xyes ]; then \
		install -m 644 ${lib_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}; \
	fi

clean:
	rm -rf *.o *.lo *.a *.la .libs test_gss gss_server gss_client

distclean:
	rm -rvf Makefile.inc *.spec debian/

%.o: %.c
	${COMPILE} ${GSSAPI_NOTHR_INC} ${LIBCARES_CFLAGS} -o $@ -c $<

%.thr.o: %.c
	${COMPILE} -D_REENTRANT -DGLITE_LBU_THREADED ${GSSAPI_THR_INC} ${LIBCARES_CFLAGS} -o $@ -c $<

test_gss.o: %.o: %.cpp
	${CXX} -c ${CFLAGS} ${GLOBUS_GSSAPI_GSI_CFLAGS} ${CPPUNIT_CFLAGS} -Wno-error $<

=== project/doc/Makefile ===
all:
	pdflatex lbjp-common-gss_FD.tex

## glite-lbjp-common-gss 3.1.3

=== debian/changelog ===
glite-lbjp-common-gss (3.1.3-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:35:56 +0200

=== debian/control ===
Source: glite-lbjp-common-gss
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-gssapi-gsi-dev, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-security-gss9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Wrapper of Globus GSS/SSL implementation used by gLite LB and JP
 glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a
 secure network communication library with strict timing control (via timeout
 arguments) of all remote
 operations.

Package: libglite-lbjp-common-gss-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-gss
Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}, libglobus-gssapi-gsi-dev, pkg-config
Description: Development files for gLite L&B/JP common gss library
 This package contains development libraries and header files for gLite gss
 library.

Package: glite-lbjp-common-gss-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}
Description: gLite gss library debugging symbols
 This package contains debugging symbols for gLite gss library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.gss
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rvf $(CURDIR)/debian/tmp/usr/share
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lbjp-common-gss-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lbjp-common-gss 3.1.4

=== debian/changelog ===
glite-lbjp-common-gss (3.1.4-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:24:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-gssapi-gsi-dev, libtool
+Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-gssapi-gsi-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch

## glite-lbjp-common-gss 3.2.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 top_builddir=${top_srcdir}/${builddir}
 stagedir=.
 globalprefix=glite
-package=gss
+package=glite-lbjp-common-gss
 version=1.0.0
 PREFIX=/opt/glite
 prefix=
@@ -14,6 +14,8 @@
 cppunit_prefix=/opt/cppunit
 
 CC=gcc
+
+default: all
 
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
@@ -34,9 +36,16 @@
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
-VPATH=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/examples
-
-default: all
+VPATH=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/examples:${top_srcdir}/project
+
+SOURCES=\
+	examples/*.c examples/*.h \
+	interface/*.h \
+	project/.post* project/*.pc.in \
+	project/doc/*.cls project/doc/*.pdf project/doc/*.tex project/doc/Makefile \
+	src/*.c \
+	test/*.cpp \
+	LICENSE Makefile
 
 DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
 # not for globus, gsoap: -Werror
@@ -68,8 +77,16 @@
 GLOBUS_GSSAPI_NOTHR_LIBS=-lglobus_gssapi_gsi_${nothrflavour}
 GLOBUS_GSSAPI_THR_LIBS=-lglobus_gssapi_gsi_${thrflavour}
 
-KERBEROS_GSSAPI_LIBS=-lgssapi_krb5 
-KERBEROS_GSSAPI_CFLAGS=-DNO_GLOBUS_GSSAPI
+KERBEROS_GSSAPI_LIBDIR?=${kerberos_prefix}/lib
+KERBEROS_GSSAPI_INCDIR?=${kerberos_prefix}/include
+KERBEROS_GSSAPI_LIBNAME?=gssapi_krb5
+
+ifeq (${kerberos_prefix}, /usr)
+KERBEROS_GSSAPI_LIBS?=-l${KERBEROS_GSSAPI_LIBNAME}
+else
+KERBEROS_GSSAPI_LIBS?=-L${KERBEROS_GSSAPI_LIBDIR} -l${KERBEROS_GSSAPI_LIBNAME}
+endif
+KERBEROS_GSSAPI_CFLAGS?=-I${KERBEROS_GSSAPI_INCDIR}
 
 GLOBUS_GSSAPI_GSI_LIBS?=${GLOBUS_THR_LIBS} ${GLOBUS_GSSAPI_THR_LIBS}
 GLOBUS_GSSAPI_GSI_CFLAGS?=${GLOBUS_THR_INC}
@@ -79,14 +96,16 @@
 
 ifeq ($(gssapi_provider),kerberos)
 GSSAPI_THR_LIBS=${GLOBUS_COMMON_LIBS} ${KERBEROS_GSSAPI_LIBS} -lssl
-GSSAPI_THR_INC=${GLOBUS_COMMON_CFLAGS} ${KERBEROS_GSSAPI_CFLAGS}
+GSSAPI_THR_INC=${GLOBUS_COMMON_CFLAGS} ${KERBEROS_GSSAPI_CFLAGS} -DNO_GLOBUS_GSSAPI
 GSSAPI_NOTHR_LIBS=${GLOBUS_NOTHR_LIBS} ${KERBEROS_GSSAPI_LIBS} -lssl
-GSSAPI_NOTHR_INC=${GLOBUS_NOTHR_INC} ${KERBEROS_GSSAPI_CFLAGS}
+GSSAPI_NOTHR_INC=${GLOBUS_NOTHR_INC} ${KERBEROS_GSSAPI_CFLAGS} -DNO_GLOBUS_GSSAPI
+GSSAPI_PROVIDER_PKG=
 else
 GSSAPI_THR_LIBS=${GLOBUS_GSSAPI_GSI_LIBS}
 GSSAPI_THR_INC=${GLOBUS_GSSAPI_GSI_CFLAGS}
 GSSAPI_NOTHR_LIBS=${GLOBUS_NOTHR_LIBS} ${GLOBUS_GSSAPI_NOTHR_LIBS}
 GSSAPI_NOTHR_INC=${GLOBUS_NOTHR_INC}
+GSSAPI_PROVIDER_PKG=globus-gssapi-gsi
 endif
 
 LIBCARES_CFLAGS?=-I${cares_prefix}/include
@@ -116,6 +135,7 @@
 default_gss=${GSS_NOTHRLTLIB}
 endif
 
+PKG_CONFIG_FILES=gss.pc
 
 ifeq ($(thrflavour),)
 ${GSS_STATICLIB}: ${GSS_THROBJS}
@@ -141,7 +161,7 @@
 endif
 
 
-all compile: $(lib_LTLIBRARIES) ${lib_LIBRARIES} examples
+all compile: $(lib_LTLIBRARIES) ${lib_LIBRARIES} examples ${PKG_CONFIG_FILES}
 
 check: compile check.gss
 
@@ -150,7 +170,7 @@
 	echo test_gss not run automatically util we have got some credentials in X509_USER_PROXY
 
 test_gss: test_gss.o
-	${LINKXX} -o $@ test_gss.o ${default_gss} ${CPPUNIT_LIBS} ${GLOBUS_GSSAPI_GSI_LIBS} ${LIBCARES_LIBS}
+	${LINKXX} -o $@ test_gss.o ${default_gss} ${CPPUNIT_LIBS} ${LIBCARES_LIBS}
 
 test_coverage:
 	-mkdir coverage
@@ -171,7 +191,7 @@
 	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes
 
 install:
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
+	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security
 	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
@@ -180,9 +200,11 @@
 	if [ x${DOSTAGE} = xyes ]; then \
 		install -m 644 ${lib_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}; \
 	fi
+	${INSTALL} -m 644 gss.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-security-gss.pc
 
 clean:
-	rm -rf *.o *.lo *.a *.la .libs test_gss gss_server gss_client
+	rm -rf *.o *.lo *.a *.la .libs test_gss gss_server gss_client *.pc
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -193,5 +215,10 @@
 %.thr.o: %.c
 	${COMPILE} -D_REENTRANT -DGLITE_LBU_THREADED ${GSSAPI_THR_INC} ${LIBCARES_CFLAGS} -o $@ -c $<
 
+%.pc: %.pc.in
+	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" -e "s/@GSSAPI_PROVIDER@/${GSSAPI_PROVIDER_PKG}/" $< > $@
+
 test_gss.o: %.o: %.cpp
 	${CXX} -c ${CFLAGS} ${GLOBUS_GSSAPI_GSI_CFLAGS} ${CPPUNIT_CFLAGS} -Wno-error $<
+
+.PHONY: default all compile check check.gss test_coverage examples doc stage install clean distclean dist distcheck

=== debian/changelog ===
glite-lbjp-common-gss (3.2.3-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-gssapi-gsi-dev, libtool, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-common-dev, heimdal-dev, libssl-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lbjp-common-gss
-Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}, libglobus-gssapi-gsi-dev, pkg-config
+Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev, heimdal-dev, pkg-config
 Description: Development files for gLite L&B/JP common gss library
  This package contains development libraries and header files for gLite gss
  library.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,11 @@
 configure-stamp:
 	dh_testdir
 	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.gss
+	echo "gssapi_provider=kerberos" >> Makefile.inc
+	echo "GLOBUS_COMMON_CFLAGS=`pkg-config --cflags globus-common`" >> Makefile.inc
+	echo "GLOBUS_COMMON_LIBS=`pkg-config --libs globus-common`" >> Makefile.inc
+	echo "KERBEROS_GSSAPI_LIBS=`krb5-config --libs gssapi`" >> Makefile.inc
+	echo "KERBEROS_GSSAPI_CFLAGS=`krb5-config --cflags gssapi`" >> Makefile.inc
 	touch $@
 
 build: build-arch build-indep

## glite-lbjp-common-gss 3.2.11

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	project/doc/*.cls project/doc/*.pdf project/doc/*.tex project/doc/Makefile \
 	src/*.c \
 	test/*.cpp \
-	LICENSE Makefile
+	Makefile
 
 DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
 # not for globus, gsoap: -Werror
@@ -192,10 +192,8 @@
 
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security
 	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}
-	${INSTALL} -m 644 ${top_srcdir}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	cd ${top_srcdir}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
 	if [ x${DOSTAGE} = xyes ]; then \
 		install -m 644 ${lib_LIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}; \
@@ -207,7 +205,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 %.o: %.c
 	${COMPILE} ${GSSAPI_NOTHR_INC} ${LIBCARES_CFLAGS} -o $@ -c $<

=== debian/changelog ===
glite-lbjp-common-gss (3.2.11-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sun, 03 Feb 2013 20:26:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-common-dev, heimdal-dev, libssl-dev, libtool, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-common-dev, heimdal-dev, libssl-dev, libtool, pkg-config
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_dbg=glite-lbjp-common-gss-dbg
+p_dev=libglite-lbjp-common-gss-dev
+p_lib=libglite-security-gss9
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -32,7 +36,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -41,17 +45,18 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -rvf $(CURDIR)/debian/tmp/usr/share
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -vf debian/tmp/usr/lib/*.la
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -59,7 +64,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lbjp-common-gss-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lbjp-common-gss 3.2.13

=== debian/changelog ===
glite-lbjp-common-gss (3.2.13-1+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 24 Jun 2013 10:02:48 +0200

=== debian/control ===
--- 
+++ 
@@ -29,10 +29,10 @@
  This package contains development libraries and header files for gLite gss
  library.
 
-Package: glite-lbjp-common-gss-dbg
+Package: libglite-security-gss9-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}
-Description: gLite gss library debugging symbols
+Description: Debugging symbols for gLite gss library
  This package contains debugging symbols for gLite gss library.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 -include /usr/share/dpkg/buildflags.mk
 
-p_dbg=glite-lbjp-common-gss-dbg
+p_dbg=libglite-security-gss9-dbg
 p_dev=libglite-lbjp-common-gss-dev
 p_lib=libglite-security-gss9

## glite-lbjp-common-gss 3.2.14

=== Makefile ===
--- 
+++ 
@@ -50,11 +50,11 @@
 DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
 # not for globus, gsoap: -Werror
 
-CFLAGS:= ${CFLAGS} ${DEBUG} \
+CFLAGS:= ${DEBUG} \
 	-DVERSION=\"${version}\" \
 	-I. -I${top_srcdir}/interface \
 	-I${stagedir}${prefix}/include \
-	${COVERAGE_FLAGS} -D_GNU_SOURCE -DDATAGRID_EXTENSION
+	${COVERAGE_FLAGS} -D_GNU_SOURCE -DDATAGRID_EXTENSION ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} ${COVERAGE_FLAGS}

=== debian/changelog ===
glite-lbjp-common-gss (3.2.14-1+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:52 +0100

## glite-lbjp-common-gss 3.2.16

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	project/.post* project/*.pc.in \
 	project/doc/*.cls project/doc/*.pdf project/doc/*.tex project/doc/Makefile \
 	src/*.c \
-	test/*.cpp \
+	test/*.c test/*.cpp test/*.h \
 	Makefile
 
 DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
@@ -59,8 +59,10 @@
 LDFLAGS:=${LDFLAGS} ${COVERAGE_FLAGS}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
-LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+COMPILEXX:=libtool --mode=compile ${CXX} ${CFLAGS}
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+SOLINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINKXX:=libtool --mode=link  ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
@@ -136,6 +138,7 @@
 endif
 
 PKG_CONFIG_FILES=gss.pc
+TESTS=test_gss test_signals
 
 ifeq ($(thrflavour),)
 ${GSS_STATICLIB}: ${GSS_THROBJS}
@@ -143,7 +146,7 @@
 	ranlib $@
 
 ${GSS_LTLIB}: ${GSS_THROBJS}
-	${LINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
+	${SOLINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
 else
 ${GSS_NOTHRSTATICLIB}: ${GSS_OBJS}
 	ar crv $@ ${GSS_OBJS}
@@ -154,33 +157,36 @@
 	ranlib $@
 
 ${GSS_NOTHRLTLIB}: ${GSS_OBJS}
-	${LINK} ${version_info} -o $@ ${GSS_LOBJS} ${GSSAPI_NOTHR_LIBS} ${LIBCARES_LIBS}
+	${SOLINK} ${version_info} -o $@ ${GSS_LOBJS} ${GSSAPI_NOTHR_LIBS} ${LIBCARES_LIBS}
 
 ${GSS_THRLTLIB}: ${GSS_THROBJS}
-	${LINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
-endif
-
-
-all compile: $(lib_LTLIBRARIES) ${lib_LIBRARIES} examples ${PKG_CONFIG_FILES}
-
-check: compile check.gss
+	${SOLINK} ${version_info} -o $@ ${GSS_THRLOBJS} ${GSSAPI_THR_LIBS} ${LIBCARES_LIBS} -lpthread
+endif
+
+
+all compile: $(lib_LTLIBRARIES) ${lib_LIBRARIES} examples ${PKG_CONFIG_FILES} ${TESTS}
+
+check: compile
 
 check.gss: test_gss
 	# ./test_gss out.xml
 	echo test_gss not run automatically util we have got some credentials in X509_USER_PROXY
 
-test_gss: test_gss.o
-	${LINKXX} -o $@ test_gss.o ${default_gss} ${CPPUNIT_LIBS} ${LIBCARES_LIBS}
+test_gss: testcore.thr.o test_gss.thr.o ${default_gss}
+	${LINKXX} -o $@ $+ ${CPPUNIT_LIBS} ${LIBCARES_LIBS}
+
+test_signals: testcore.thr.o test_signals.thr.o ${default_gss}
+	${LINK} -o $@ $+
 
 test_coverage:
 	-mkdir coverage
 	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
 	cd coverage && for i in ${OBJS}; do gcov -o .libs/ $$i ; done
 
-gss_server: gss_server.o example_common.o
+gss_server: gss_server.thr.o example_common.thr.o
 	${LINK} -o $@ ${default_gss} $^ 
 
-gss_client: gss_client.o example_common.o
+gss_client: gss_client.thr.o example_common.thr.o
 	${LINK} -o $@ ${default_gss} $^
 
 examples:
@@ -201,7 +207,7 @@
 	${INSTALL} -m 644 gss.pc ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig/glite-security-gss.pc
 
 clean:
-	rm -rf *.o *.lo *.a *.la .libs test_gss gss_server gss_client *.pc
+	rm -rf *.o *.lo *.a *.la .libs ${TESTS} test_coverage out.xml gss_server gss_client *.pc
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
@@ -213,10 +219,10 @@
 %.thr.o: %.c
 	${COMPILE} -D_REENTRANT -DGLITE_LBU_THREADED ${GSSAPI_THR_INC} ${LIBCARES_CFLAGS} -o $@ -c $<
 
+%.thr.o: %.cpp
+	${COMPILEXX} -D_REENTRANT -DGLITE_LBU_THREADED ${GSSAPI_THR_INC} ${LIBCARES_CFLAGS} -o $@ -c $<
+
 %.pc: %.pc.in
 	sed -e "s,@PREFIX@,${PREFIX}${prefix}," -e "s/@VERSION@/${version}/" -e "s/@LIBDIR@/${libdir}/" -e "s/@GSSAPI_PROVIDER@/${GSSAPI_PROVIDER_PKG}/" $< > $@
 
-test_gss.o: %.o: %.cpp
-	${CXX} -c ${CFLAGS} ${GLOBUS_GSSAPI_GSI_CFLAGS} ${CPPUNIT_CFLAGS} -Wno-error $<
-
 .PHONY: default all compile check check.gss test_coverage examples doc stage install clean distclean dist distcheck

=== project/doc/Makefile ===
all:
	pdflatex lbjp-common-gss_FD.tex

clean:
	rm -fv *.aux *.log *.out lbjp-common-gss_FD.pdf *.toc

=== debian/changelog ===
glite-lbjp-common-gss (3.2.16-1.git20151003+meta) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:52 +0200

=== debian/control ===
Source: glite-lbjp-common-gss
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libc-ares2, libc-ares-dev, libglobus-common-dev, heimdal-dev, libssl-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-security-gss9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Wrapper of Globus GSS/SSL implementation used by gLite LB and JP
 glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a
 secure network communication library with strict timing control (via timeout
 arguments) of all remote
 operations.

Package: libglite-lbjp-common-gss-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-gss
Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}, libglobus-common-dev, heimdal-dev, pkg-config
Description: Development files for gLite L&B/JP common gss library
 glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a
 secure network communication library with strict timing control (via timeout
 arguments) of all remote
 operations.
 .
 This package contains development libraries and header files for gLite gss
 library.

Package: libglite-security-gss9-dbg
Section: debug
Architecture: any
Depends: libglite-security-gss9 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite gss library
 glite-security-gss wraps GSS functions (and several non-GSS Globus calls) to a
 secure network communication library with strict timing control (via timeout
 arguments) of all remote
 operations.
 .
 This package contains debugging symbols for gLite gss library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-security-gss9-dbg
p_dev=libglite-lbjp-common-gss-dev
p_lib=libglite-security-gss9

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi
	echo "gssapi_provider=kerberos" >> Makefile.inc
	echo "GLOBUS_COMMON_CFLAGS=`pkg-config --cflags globus-common`" >> Makefile.inc
	echo "GLOBUS_COMMON_LIBS=`pkg-config --libs globus-common`" >> Makefile.inc
	echo "KERBEROS_GSSAPI_LIBS=`krb5-config --libs gssapi`" >> Makefile.inc
	echo "KERBEROS_GSSAPI_CFLAGS=`krb5-config --cflags gssapi`" >> Makefile.inc

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -fv Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.gss/glite-lbjp-common-gss-(.*)\.tar\.gz
